View Issue Details

IDProjectCategoryView StatusLast Update
0032117PatchesIDEpublic2017-07-12 19:02
ReporterAnton Assigned ToJuha Manninen  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.9 (SVN) 
Summary0032117: Identifier Completion: bug in CompletionPrevChar
DescriptionUsing left/right arrow keys when completion list is opened leads to strange results (see Steps to reproduce)
Steps To Reproduce1. New application project.
2. Double click the form to create FormCreate handler.
3. Type "set" and invoke identifier completion (Ctrl+Space): it will show the list of identifiers that start with "set" - it's OK.
4. Press left arrow key, then right arrow key.
=> The identifier completion list will contain identifiers that start with "st", but "set" in source editor with caret right after "t".
Repeat step 4 => identifiers starting with "t" ?!
Tagscompletion
Fixed in Revisionr55460
LazTarget-
Widgetset
Attached Files

Activities

Anton

2017-07-06 19:59

reporter  

sourceeditor.pp.patch (528 bytes)   
Index: ide/sourceeditor.pp
===================================================================
--- ide/sourceeditor.pp	(revision 55456)
+++ ide/sourceeditor.pp	(working copy)
@@ -2568,7 +2568,7 @@
   if Editor=nil then exit;
   Editor.CaretX:=Editor.CaretX-1;
   NewLen:=UTF8FindNearestCharStart(PChar(NewPrefix),length(NewPrefix),
-                                   length(NewPrefix))-1;
+                                   length(NewPrefix)-1);
   NewPrefix:=copy(NewPrefix,1,NewLen);
   CurrentString:=NewPrefix;
 end;
sourceeditor.pp.patch (528 bytes)   

Juha Manninen

2017-07-07 19:22

developer   ~0101571

Applied, thanks.

Issue History

Date Modified Username Field Change
2017-07-06 19:59 Anton New Issue
2017-07-06 19:59 Anton File Added: sourceeditor.pp.patch
2017-07-06 20:00 Anton Tag Attached: completion
2017-07-07 19:00 Juha Manninen Assigned To => Juha Manninen
2017-07-07 19:00 Juha Manninen Status new => assigned
2017-07-07 19:22 Juha Manninen Fixed in Revision => r55460
2017-07-07 19:22 Juha Manninen LazTarget => -
2017-07-07 19:22 Juha Manninen Note Added: 0101571
2017-07-07 19:22 Juha Manninen Status assigned => resolved
2017-07-07 19:22 Juha Manninen Resolution open => fixed
2017-07-12 19:02 Anton Status resolved => closed